%global momorel 8
%global artsver 1.5.5
%global artsrel 1m
%global qtver 3.3.5
%global kdever 3.5.5
%global kdelibsrel 7m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global ftpdirver %{kdever}
%global sourcedir stable/%{ftpdirver}/src
%global debug 0
%global enable_final 1
%global enable_gcc_check_and_hidden_visibility 0
%global md5sum_src0 0c685af1cbca75f9c77b3ed231ba0468

Name: kdebase
Summary: K Desktop Environment - core files
Version: %{kdever}
Release: %{momorel}m
Group: User Interface/Desktops
License: GPL
URL: http://www.kde.org/
%NoSource 0 ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2 %{md5sum_src0}
# Mirror site in Japan
# %%NoSource 0 ftp://ftp.kde.gr.jp/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2 %{md5sum_src0}

Source1: pam.d-kde
Source2: pam.d-kde-np
Source3: kde.desktop
Source4: kde-momonga-config-3.5.2.tar.bz2
Source7: mailsettings.cc

Source100: startkde.momonga
Source101: momonga-splash.tar.gz
Source102: Xsession.momonga
Source103: xinitrc-common.kdm
Source104: xinitrc-momonga.kdm
Source105: sysconfig.desktop.kdm

# Momonga Menu
Source110: mo-server-settings-more.directory
Source111: mo-server-settings.directory
Source112: mo-system-settings-more.directory
Source113: mo-system-settings.directory

# Momonga Color Scheme
Source120: Momonga1.kcsrc
Source121: Momonga2.kcsrc
Source122: Momonga3.kcsrc

Patch1: kdebase-3.1.3-xpdf.patch
Patch2: kdebase-3.3.92-vroot.patch
Patch3: kdebase-2.1-konqurer-reload.patch
Patch4: kdebase-3.1-linebreaks.patch
Patch5: kdebase-3.2.0-keymap.patch
Patch6: kdebase-3.0.4-kdesukonsole.patch
Patch7: kdebase-3.1.3-konsole-double-esc.patch
Patch8: kdebase-3.2.92-logo.patch
Patch9: kdebase-3.2.2-konsole-setInputMethodEnabled-20040525.diff
Patch10: kdebase-3.3.0-altf2.patch
Patch11: kdebase-3.4.2-kdesktop-konsole.patch
Patch12: kdebase-3.5.5-dbus.patch
Patch13: kdebase-3.5.4-kioslave_media_dbus-fuser.patch
Patch14: kdebase-3.5.3-khelpcenter-sort.patch

# from opensuse
Patch50: use-full-hinting-by-default.diff
Patch51: kcmsamba_log.diff

# from Ark Linux
Patch70: kdebase-3.5.4-antialias.patch

# upstream patches
Patch100: kdebase-3.5.5-konsole-bz#203221.patch
Patch101: kdebase-3.5.5-focus#135250.patch
Patch102: kdebase-3.5.5-kde#134816.patch
Patch103: kdebase-3.5.5-kde#136876.patch
Patch104: kdebase-3.5.5-kde#127012.patch
Patch105: kdebase-3.5.5-kde#134734.patch

# Patch200 added by yosshy@Momonga Project (2002/10/23)
# Patch200: kdebase-3.0.4-atokx-nofocus.patch

# zaki: change default value of ResizeMode from Transparent to Opaque because Transparent mode get hung-up
Patch201: kdebase-3.1.4-default-ResizeMode-to-Opaque.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: kdpms
PreReq: xorg-x11-font-utils
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
Requires: libvorbis >= 1.0-2m, libmad, libid3tag
Requires: truetype-fonts-ja-ipa
Requires: truetype-fonts-ja
Requires: libxml2 >= 2.4.12
Requires: libart_lgpl
Requires: cups-libs
Requires: dbus, dbus-qt, hal
Requires: momonga-backgrounds >= 3.0-2m
Requires: sdr >= 0.9.5-22m
Requires: usermode
Requires: htdig
BuildPreReq: qt-devel >= %{qtver}, arts-devel >= %{artsver}-%{artsrel}, kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: openssl-devel >= 0.9.8a, openmotif-devel >= 2.2.2-2k, libvorbis-devel >= 1.0-2m
BuildPreReq: libart_lgpl-devel, libmad, libid3tag
BuildPreReq: cdparanoia-devel
BuildPreReq: openldap-devel >= 2.3.11
BuildPreReq: lm_sensors >= 2.8.4
BuildPreReq: libraw1394-devel >= 1.1.0
BuildPreReq: libusb-devel
BuildPreReq: cups-libs, cups-devel
BuildPreReq: perl, pkgconfig
BuildPreReq: samba-common
BuildPreReq: dbus-devel >= 0.61, dbus-qt >= 0.61
BuildPreReq: hal-devel >= 0.5.7
BuildPreReq: xscreensaver >= 4.18-6m
BuildPreReq: libXcomposite-devel, libXdamage-devel
BuildPreReq: avahi-qt3-devel
BuildPreReq: OpenEXR-devel >= 1.2.2-2m

%description
Core applications for the K Desktop Environment.  Included are: 

   kdm (replacement for xdm), 
   kwin (window manager), 
   konqueror (filemanager, web browser, ftp client, ...), 
   konsole (xterm replacement), 
   kpanel (application starter and desktop pager), 
   kaudio (audio server),
   kdehelp (viewer for kde help files, info and man pages), 
   kthememgr (system for managing alternate theme packages) 

plus other KDE components (kcheckpass, kikbd, kscreensaver, kcontrol, kfind,
kfontmanager, kmenuedit, kappfinder).

%prep
%setup -q

%patch1 -p1 -b .xpdf
%patch2 -p1 -b .vroot
%patch3 -p1 -b .reload
%patch4 -p1 -b .linebreak
%patch5 -p1 -b .keymap
%patch6 -p1 -b .kdesukonsole
%patch7 -p1 -b .konsole
%patch8 -p1 -b .logo
%patch9 -p1 -b .im
%patch10 -p1 -b .altf2
%patch11 -p1 -b .kdestop-konsole
%patch12 -p1 -b .dbus
%patch13 -p1 -b .fuser
%patch14 -p1 -b .khelpcenter-sort

%patch50 -p1 -b .hintfull
%patch51 -p0 -b .smb_log

%patch70 -p1 -b .antialias

# upstream patches
%patch100 -p1 -b .bz#203221
%patch101 -p1 -b .focus#135250
%patch102 -p0 -b .kde#134816
%patch103 -p1 -b .kde#136876
%patch104 -p1 -b .kde#127012
%patch105 -p1 -b .kde#134734

%patch201 -p1

# set Konqueror version
perl -pi -e "s,^#define.*KONQUEROR_VERSION.*,#define KONQUEROR_VERSION \"%{version}-%{release} Momonga Linux\"," konqueror/version.h

make -f admin/Makefile.common cvs

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

%if %{debug}
export FLAGS="-O0 -g -DDEBUG=1"
%else
%ifnarch ppc
CFLAGS="%{optflags} -DNDEBUG -UDEBUG" CXXFLAGS="%{optflags} -fno-exceptions -fno-check-new -DNDEBUG -UDEBUG" \
%else
CFLAGS="-O0 -DNDEBUG -UDEBUG" CXXFLAGS="-O0 -DNDEBUG -UDEBUG -fno-exceptions -fno-check-new" \
%endif
%endif
CXXFLAGS="$CXXFLAGS -I/usr/include/fontconfig-1.0" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--sysconfdir=%{_sysconfdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--with-extra-includes=%{_includedir}/avahi-compat-libdns_sd/ \
	--with-xdmdir=%{_sysconfdir}/X11/xdm \
	--with-motif-includes=%{_includedir} \
	--with-motif-libraries=%{_libdir} \
	--with-pam=yes \
	--with-kdm-pam=kdm \
	--with-kcp-pam=kcheckpass \
	--with-kss-pam=kscreensaver \
	--with-xinerama \
	--without-shadow \
	--disable-shadow \
%if %{enable_final}
	--enable-final \
%endif
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-rpath \
	--disable-greet-lib \
	--with-x \
	--enable-cups \
	--with-cdparanoia \
%if %{debug} == 0
	--disable-debug \
	--without-debug \
	--disable-warnings \
%else
	--enable-debug \
	--with-debug
%endif

make %{?_smp_mflags} -C ksysguard
make %{?_smp_mflags}
 

g++ %{optflags} -o mailsettings %{SOURCE7}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

make install DESTDIR=%{buildroot}

# install mailsettings
install -m 755 mailsettings %{buildroot}%{_bindir}

# Fix up permissions on some things
chmod 4755 %{buildroot}%{_bindir}/kcheckpass
chmod 2755 %{buildroot}%{_bindir}/kdesud

# install pam configuration files
mkdir -p %{buildroot}%{_sysconfdir}/pam.d
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/pam.d/kdm
install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/pam.d/kdm-np
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/pam.d/kscreensaver
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/pam.d/kcheckpass

# make symlink for our applnk directory and GNOME directory
{
	pushd %{buildroot}%{_datadir}/applnk
	mkdir -p %{buildroot}%{_sysconfdir}/X11/applnk
	cat > %{buildroot}%{_sysconfdir}/X11/applnk/.directory << EOF
# KDE Config File
[KDE Desktop Entry]
Icon=/usr/share/config/momo_icon.png
MiniIcon=/usr/share/config/momo_icon.png
Name=Momonga
EOF

#	ln -sf ../../../etc/X11/applnk momonga
#	ln -sf ../gnome/apps gnome

	popd
}
# Nuke man2html - we get it from man
find %{buildroot} -pkg "man2html*" | xargs rm -rf

# fix konsole /opt/kde hardcode
find %{buildroot}/konsole/other -type -f | xargs	perl -pi -e "s|/opt/kde|%{_prefix}|g" 

# install gdm session support
mkdir -p %{buildroot}%{_datadir}/xsessions
install -m 755 %{SOURCE3} %{buildroot}/%{_datadir}/xsessions/

# install wdm session support
mkdir -p %{buildroot}%{_sysconfdir}/X11/xinit/session.d/
cat <<END > %{buildroot}%{_sysconfdir}/X11/xinit/session.d/kde
NAME=KDE
IFEXISTS=%{kdedir}/bin/startkde
SESSION_EXEC=%{kdedir}/bin/startkde
export IFEXISTS SESSION_EXEC
export KDEDIR=%{kdedir}
export QTDIR=%{qtdir}
export PATH=\$PATH:\$QTDIR/bin
END

# install startkde
install -m 755 %{SOURCE100} %{buildroot}%{_bindir}/startkde

# make kups command
touch %{buildroot}%{_bindir}/kups
cat >> %{buildroot}%{_bindir}/kups <<EOF
#!/bin/sh
kcmshell System/printers
EOF
chmod 755 %{buildroot}%{_bindir}/kups

# there is no bitmap fonts package
rm -rf %{buildroot}%{_datadir}/fonts

# move kdm files
mkdir -p %{buildroot}%{_sysconfdir}/kde
mv %{buildroot}%{_datadir}/config/kdm %{buildroot}%{_sysconfdir}/kde/
ln -sf ../../../etc/kde/kdm %{buildroot}%{_datadir}/config/kdm

# move kdm doc
mv %{buildroot}%{_docdir}/kdm %{buildroot}%{_docdir}/kdm-%{version}

# set user icon for kdm
mkdir -p %{buildroot}%{_datadir}/apps/kdm/faces
ln -s ../pics/users/root1.png %{buildroot}%{_datadir}/apps/kdm/faces/root.face.icon
ln -s ../pics/users/default2.png %{buildroot}%{_datadir}/apps/kdm/faces/.default.face.icon

# install Xsession, xinitrc-common and xinitrc.momonga for kdm
install -m 755 %{SOURCE102} %{buildroot}%{_sysconfdir}/kde/kdm/Xsession
install -m 644 %{SOURCE103} %{buildroot}%{_sysconfdir}/kde/kdm/xinitrc-common
install -m 644 %{SOURCE104} %{buildroot}%{_sysconfdir}/kde/kdm/xinitrc-momonga

# install sample of /etc/sysconfig/desktop
mkdir -p %{buildroot}%{_datadir}/config-sample/kdm
install -m 644 %{SOURCE105} %{buildroot}%{_datadir}/config-sample/kdm/desktop.sample

# install config files
cd %{buildroot}
tar xjf %{SOURCE4}
mv etc/skel/Desktop %{buildroot}%{_datadir}/config
mv etc/skel/.kde %{buildroot}%{_datadir}/config

# Merge /etc/X11/applnk menus
cat >%{buildroot}%{_sysconfdir}/kderc <<EOF
[Directories]
dir_apps=/etc/X11/applnk

[General]
StandardFont=Sans,11,-1,5,50,0,0,0,0,0
activeFont=Sans,11,-1,5,50,0,0,0,0,0
fixed=Monospace,11,-1,5,50,0,0,0,1,0
font=Sans,11,-1,5,50,0,0,0,0,0
menuFont=Sans,11,-1,5,50,0,0,0,0,0
taskbarFont=Sans,11,-1,5,50,0,0,0,0,0
toolBarFont=Sans,11,-1,5,50,0,0,0,0,0
EOF

# Make symlinks relative
cd %{buildroot}%{_docdir}/HTML/en
for i in */*/*; do
   if [ -d "$i" -a -L "$i"/common ]; then
      rm -f $i/common
      ln -s ../../../common $i
   fi
done
for i in */*; do
   if [ -d "$i" -a -L "$i"/common ]; then
      rm -f $i/common
      ln -s ../../common $i
   fi
done
for i in *; do
   if [ -d "$i" -a -L "$i"/common ]; then
      rm -f $i/common
      ln -s ../common $i
   fi
done

# install Momonga Theme
mkdir -p %{buildroot}%{_datadir}/apps/ksplash/Themes
pushd %{buildroot}%{_datadir}/apps/ksplash/Themes
tar xzf %{SOURCE101}
popd

# install directory files for Momonga Menu
install -m 644 %{SOURCE110} %{SOURCE111} %{buildroot}%{_datadir}/desktop-directories/
install -m 644 %{SOURCE112} %{SOURCE113} %{buildroot}%{_datadir}/desktop-directories/

# install Momonga Color Scheme
install -m 644 %{SOURCE120} %{SOURCE121} %{SOURCE122} %{buildroot}%{_datadir}/apps/kdisplay/color-schemes/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%pre
rm -rf /usr/share/config/kdm

%post
/sbin/ldconfig
rm -rf /etc/skel/Desktop
rm -rf /etc/skel/.kde

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README*
%dir %{_sysconfdir}/kde
%dir %{_sysconfdir}/kde/kdm
%{_sysconfdir}/kde/kdm/README
%{_sysconfdir}/kde/kdm/X*
%{_sysconfdir}/kde/kdm/xinitrc-common
%{_sysconfdir}/kde/kdm/xinitrc-momonga
%config %{_sysconfdir}/kde/kdm/*rc
%config %{_sysconfdir}/kderc
%config %{_sysconfdir}/ksysguarddrc
%config %{_sysconfdir}/pam.d/*
%{_sysconfdir}/xdg/menus/*
%{_sysconfdir}/X11/applnk/.directory
%{_sysconfdir}/X11/xdm/kdmrc
%{_sysconfdir}/X11/xinit/session.d/kde
%{_bindir}/appletproxy
%{_bindir}/drkonqi
%{_bindir}/extensionproxy
%{_bindir}/genkdmconf
%{_bindir}/kaccess
%{_bindir}/kappfinder
%{_bindir}/kapplymousetheme
%{_bindir}/kasbar
%{_bindir}/kate
%{_bindir}/kblankscrn.kss
%{_bindir}/kbookmarkmerger
%attr(4755,root,root) %{_bindir}/kcheckpass
%{_bindir}/kcheckrunning
%{_bindir}/kcminit
%{_bindir}/kcminit_startup
%{_bindir}/kcontrol
%{_bindir}/kcontroledit
%{_bindir}/kdcop
%{_bindir}/kdebugdialog
%{_bindir}/kdeeject
%{_bindir}/kdeinstallktheme
%{_bindir}/kdepasswd
%{_bindir}/kdeprintfax
%{_bindir}/kdesktop
%{_bindir}/kdesktop_lock
%{_bindir}/kdesu
%attr(2755,root,nobody) %{_bindir}/kdesud
%{_bindir}/kdialog
%{_bindir}/kdm
%{_bindir}/kdm_config
%{_bindir}/kdm_greet
%{_bindir}/kdmctl
%{_bindir}/keditbookmarks
%{_bindir}/keditfiletype
%{_bindir}/kfind
%{_bindir}/kfontinst
%{_bindir}/kfontview
%{_bindir}/kfmclient
%{_bindir}/khc_docbookdig.pl
%{_bindir}/khc_htdig.pl
%{_bindir}/khc_htsearch.pl
%{_bindir}/khc_indexbuilder
%{_bindir}/khc_mansearch.pl
%{_bindir}/khelpcenter
%{_bindir}/khotkeys
%{_bindir}/kicker
%{_bindir}/kinfocenter
%{_bindir}/kio_media_mounthelper
%{_bindir}/kio_system_documenthelper
%{_bindir}/kjobviewer
%{_bindir}/klipper
%{_bindir}/klocaldomainurifilterhelper
%{_bindir}/kmenuedit
%{_bindir}/knetattach
%{_bindir}/kompmgr
%{_bindir}/konqueror
%{_bindir}/konsole
%{_bindir}/kpager
%{_bindir}/kpersonalizer
%{_bindir}/kpm
%{_bindir}/kprinter
%{_bindir}/krandom.kss
%{_bindir}/krandrtray
%{_bindir}/krdb
%{_bindir}/kreadconfig
%{_bindir}/krootimage
%{_bindir}/ksmserver
%{_bindir}/ksplash
%{_bindir}/ksplashsimple
%{_bindir}/kstart
%{_bindir}/ksysguard
%{_bindir}/ksysguardd
%{_bindir}/ksystraycmd
%{_bindir}/ktip
%{_bindir}/ktrash
%{_bindir}/kups
%{_bindir}/kwebdesktop
%{_bindir}/kwin
%{_bindir}/kwin_killer_helper
%{_bindir}/kwin_rules_dialog 
%{_bindir}/kwrite
%{_bindir}/kwriteconfig
%{_bindir}/kxkb
%{_bindir}/mailsettings
%{_bindir}/nspluginscan
%{_bindir}/nspluginviewer
%{_bindir}/startkde
%{_libdir}/kconf_update_bin
%{_libdir}/kde3/*.la
%{_libdir}/kde3/*.so*
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/*.so.??*
%{_datadir}/applications/kde/*.desktop
%{_datadir}/applnk/.hidden
%{_datadir}/applnk/*.desktop
%{_datadir}/applnk/Internet
%{_datadir}/applnk/Settings
%{_datadir}/applnk/System
%{_datadir}/applnk/Toys
%{_datadir}/applnk/Utilities
# %%{_datadir}/applnk/momonga
%{_datadir}/apps/clockapplet
%{_datadir}/apps/drkonqi
%{_datadir}/apps/kaccess
%{_datadir}/apps/kappfinder
%{_datadir}/apps/kate
%{_datadir}/apps/kbookmark
%{_datadir}/apps/kcm_componentchooser/*.desktop
%{_datadir}/apps/kcmcss
%{_datadir}/apps/kcminput
%{_datadir}/apps/kcmkeys
%{_datadir}/apps/kcmlocale
%{_datadir}/apps/kcmusb
%{_datadir}/apps/kcmview1394
%{_datadir}/apps/kconf_update/*
%{_datadir}/apps/kcontrol
%{_datadir}/apps/kcontroledit
%{_datadir}/apps/kdcop
%{_datadir}/apps/kdeprint/template
%{_datadir}/apps/kdeprint_part
%{_datadir}/apps/kdeprintfax
%{_datadir}/apps/kdesktop
%{_datadir}/apps/kdewizard
%{_datadir}/apps/kdisplay
%{_datadir}/apps/kdm
%{_datadir}/apps/keditbookmarks
%{_datadir}/apps/kfindpart
%{_datadir}/apps/kfontview
%{_datadir}/apps/khelpcenter
%{_datadir}/apps/khotkeys
%{_datadir}/apps/khtml/kpartplugins
%{_datadir}/apps/kicker
%{_datadir}/apps/kinfocenter
%{_datadir}/apps/kio_finger
%{_datadir}/apps/kio_info
%{_datadir}/apps/kio_man
%{_datadir}/apps/kjobviewer
%{_datadir}/apps/kmenuedit
%{_datadir}/apps/konqiconview
%{_datadir}/apps/konqlistview
%{_datadir}/apps/konqsidebartng
%{_datadir}/apps/konqueror
%{_datadir}/apps/konsole
%{_datadir}/apps/kpersonalizer
%{_datadir}/apps/ksmserver
%{_datadir}/apps/ksplash
%{_datadir}/apps/ksysguard
%{_datadir}/apps/kthememanager
%{_datadir}/apps/kwin
%{_datadir}/apps/kwrite
%{_datadir}/apps/naughtyapplet
%{_datadir}/apps/plugin
%{_datadir}/apps/remoteview
%{_datadir}/apps/systemview
%{_datadir}/autostart/*
%{_datadir}/config/.kde
%{_datadir}/config/Desktop
%{_datadir}/config/kdesktop_custom_menu*
%{_datadir}/config/kdm
%{_datadir}/config/*rc
%{_datadir}/config/kxkb_groups
%{_datadir}/config/mo*.png
%{_datadir}/config-sample/kdm
%{_datadir}/config.kcfg
%{_datadir}/desktop-directories
%{_datadir}/doc/HTML/en/*
%{_datadir}/doc/kdm-%{version}
%{_datadir}/icons/crystalsvg/*/*/*
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/locale/en_US/entry.desktop
%{_datadir}/locale/l10n
%{_datadir}/mimelnk/application/*.desktop
%{_datadir}/mimelnk/fonts
%{_datadir}/mimelnk/inode/*.desktop
%{_datadir}/mimelnk/media
%{_datadir}/mimelnk/print
%{_datadir}/services/*.desktop
%{_datadir}/services/*.protocol
%{_datadir}/services/kded/*.desktop
%{_datadir}/services/searchproviders
%{_datadir}/services/useragentstrings
%{_datadir}/servicetypes/*
%{_datadir}/sounds/*
%{_datadir}/templates
%{_datadir}/wallpapers/*
%{_datadir}/xsessions/kde.desktop

%{_includedir}/*.h
%{_includedir}/kate/*.h
%{_includedir}/kate/utils
%{_includedir}/ksgrd/*.h
%{_includedir}/ksplash/*.h
%{_includedir}/kwin/*.h
%{_libdir}/*.so.?

%changelog
* Sat Nov 25 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.5-8m)
- import upstream patches to fix following problems
  #127012, kcheckpass doesn't refresh credentials via PAM
  #134734, Screensaver change to the ordinary X-Window-Logo when awaking from dpms

- * Tue Nov 14 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- - (3.5.5-7m)
- - rebuild against OpenEXR-1.4.0

* Tue Nov  7 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.5-6m)
- import upstream patch to fix following problem
  #136876, Symlinks in trash should show symlink size, not file size

- * Mon Nov  6 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- - (3.5.5-5m)
- - rebuild against lm_sensor

* Fri Nov  3 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.5-4m)
- import upstream patch from FC6
- fix popup menu problem of konqueror (kdebase-3.5.5-kde#134816.patch)

- * Tue Oct 31 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- - (3.5.5-3m)
- - rebuild against expat-2.0.0-2m

* Sat Oct 28 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.5-2m)
- import upstream patch to fix following problem (Patch101)
  #135250, desktop unusable due to flickering of windows if not "focus follows click"

* Fri Oct 13 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.5-1m)
- update to KDE 3.5.5
- remove merged upstream patches
- update use-full-hinting-by-default.diff
- update dbus.patch
- update konsole-bz#203221.patch
- update startkde.momonga

* Mon Sep 18 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.4-6m)
- import kdebase-3.5.4.ksystraycmd-quoting.diff.gz from Slackware
  fix argument quoting
- import 5 upstream patches from Fedora Core devel
 +* Thu Sep 07 2006 Than Ngo <than@redhat.com> 6:3.5.4-7
 +- apply upstream patch
 +   fix #53642, Menubar is always visible after coming back from fullscreen
 +   fix #133665, crash in kiosk mode
 +* Fri Aug 25 2006 Than Ngo <than@redhat.com> 6:3.5.4-5
 +- apply upstream patch to fix kdedesktop crash, kde#132873
 +- fix kdm crash
 +* Mon Aug 21 2006 Than Ngo <than@redhat.com> 6:3.5.4-4
 +- fix #203221, konsole does not display bold characters
- import kdebase-3.5.4-antialias.patch from Ark Linux
 +* Sun Jun 25 2006 Bernhard Rosenkraenzer <bero@arklinux.org> 3.5.3-5ark
 +- Fix default XftAntialias setting

* Sat Aug 12 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.4-5m)
- add Requires: truetype-fonts-ja-ipa

* Wed Aug  9 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.4-4m)
- import kdebase-3.5.4.halbackend.diff.gz from Slackware
  fix KDED crashing on startup when D-BUS is unavailable

* Tue Aug  8 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.4-3m)
- import kdebase-3.5.4.kicker-taskbar-resize.diff.gz from Slackware, thanks to JW

* Sat Aug  5 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.4-2m)
- import kdebase-3.5.4.video.redirect.diff.gz from Slackware for YouTube, thanks to JW

* Wed Aug  2 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.4-1m)
- update to KDE 3.5.4
- update startkde.momonga
- update kioslave_media_dbus-fuser.patch
- remove merged upstream patches

* Fri Jul 21 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.3-14m)
- import 2 upstream patches from Fedora Core devel
 +* Thu Jul 20 2006 Than Ngo <than@redhat.com> 6:3.5.3-15
 +- apply upstream patches,
 +    fix kde#130774, Strange lonesome icon in KInfocenter's start page
 +* Tue Jul 11 2006 Than Ngo <than@redhat.com> 6:3.5.3-9
 +- upstream patches,
 +    #kde127971 hard Drive device icons do not show on desktop

* Tue Jul 18 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.3-13m)
- import kdebase-3.5.3-khelpcenter-sort.patch from Fedora Core devel
 +* Sun Jul 16 2006 Than Ngo <than@redhat.com> 6:3.5.3-13
 +- fix 146377, khelpcenter's Browse Info Pages > Alphabetically should sort entries

* Sun Jul  9 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.3-12m)
- update kdebase-3.5.3-kioslave_media_dbus-fuser.patch
  /usr/bin/env fuser -> /sbin/fuser

* Fri Jul  7 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.3-11m)
- import 2 upstream patches from Fedora Core devel
 +* Thu Jul 06 2006 Than Ngo <than@redhat.com> 6:3.5.3-8
 +- fix #187228, kio_media_mounthelper fails with fuser
 +* Fri May 12 2006 Than Ngo <than@redhat.com> 6:3.5.2-8
 +- fix 190836, xmTextFieldClass widgets don't work properly

* Wed Jul  5 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.3-10m)
- fix setuid

* Wed Jun 28 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.3-9m)
- change AA initial settings "exclude range set checked" to false
- BuildPreReq: OpenEXR-devel >= 1.2.2-2m

* Thu Jun 15 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.3-8m)
- [SECURITY] post-3.5.0-kdebase-kdm.diff for "KDM symlink attack vulnerability"
  http://www.kde.org/info/security/advisory-20060614-1.txt

* Mon Jun 12 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.3-7m)
- update and apply dbus patches from Fedora Core devel
 +* Thu Jun 01 2006 Than Ngo <than@redhat.com> 6:3.5.3-1
 +- update kioslave_media_dbus patch
 +* Sun Mar 26 2006 Than Ngo <than@redhat.com> 6:3.5.2-1
 +- update dbus patch
- remove media_hal.diff
- import 4 upstream patches from Fedora Core devel
 +* Sat Jun 10 2006 Than Ngo <than@redhat.com> 6:3.5.3-5
 +- add several upstream patches

* Wed Jun  7 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.3-6m)
- add Momonga3.kcsrc, it's a copy of Momonga1.kcsrc and the best of Color Scheme on KDE3

* Wed Jun  7 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (3.5.3-5m)
- remove Requires: momonga-desktop

* Mon Jun  5 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.3-4m)
- import Xsession and xinitrc-* from xorg-x11-xinit-1.0.2-7m
- modify Xsession and xinitrc-* for kdm

* Sat Jun  3 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.3-3m)
- add Settings to Categories of printers.desktop
- revise kups command

* Fri Jun  2 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.3-2m)
- rebuild with avahi (enable Zeroconf support)

* Wed May 31 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.3-1m)
- update to KDE 3.5.3
- install kde.desktop for new gdm
- update startkde.momonga
- remove merged kwin.patch

* Tue May 23 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.2-9m)
- Requires: htdig (khelpcenter uses htdig)

* Thu May 18 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.2-8m)
- Requires: usermode (kdm uses /usr/bin/poweroff)

* Tue May  2 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (3.5.2-7m)
- rebuild against dbus-0.61

* Mon May  1 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.2-6m)
- import kcmsamba_log.diff from opensuse
 +* Mon Apr 17 2006 - ltinkl@suse.cz
 +- fix "KDE Information Center fails to provide log info for samba"
 +  (#98763)
- import kdebase-3.5.2-kwin.patch from Fedora Core devel
 +* Fri Apr 28 2006 Than Ngo <than@redhat.com> 6:3.5.2-5
 +- fix #189702, kwin crashes when switching windows with Alt-Tab
- clean up patches

* Fri Apr 14 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.2-5m)
- import use-full-hinting-by-default.diff from opensuse
 +* Wed Apr 05 2006 - dmueller@suse.de
 +- update hinting default to full (#157441)

* Sun Apr  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (3.5.2-4m)
- rebuild against openssl-0.9.8a

* Sat Apr  8 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.2-3m)
- import media_hal.diff from opensuse
 +* Fri Mar 31 2006 - stbinner@suse.de
 +- update media_hal.diff to make it possible that applications like
 +  k3b can stop automounting (#160654)
 +* Tue Mar 28 2006 - coolo@suse.de
 +- update media_hal.diff to handle fstab entries more correctly
 +* Thu Mar 23 2006 - stbinner@suse.de
 +- update media_hal.diff to fix setting of mount properties for a
 +  removable device (#160002) and respect hal lockdown (#153241)
 +* Tue Mar 07 2006 - stbinner@suse.de
 +- update media_hal.diff to fix mounting (#154652)
 +* Wed Feb 15 2006 - coolo@suse.de
 +- update media_hal.diff to fix unmount (#149472)
 +* Mon Feb 06 2006 - dmueller@suse.de
 +- rediff media_hal.diff to fix crash on logout
 +* Mon Jan 30 2006 - stbinner@suse.de
 +- update media_hal.diff

* Wed Apr  5 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.2-2m)
- add ktaskbarrc to kde-momonga-config.tar.bz2

* Wed Mar 29 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.2-1m)
- update to KDE 3.5.2
- remove merged 2 patches
 - kdebase-3.5.1-kwin-systray.patch
 - kdebase-3.5.1-keyboardlayout.patch

* Mon Mar 27 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.1-5m)
- update kdmrc and Xsession.momonga for new X
- revise option of configure for new X
- move kdm/README
- import kdebase-3.5.1-kwin-systray.patch from Fedora Core devel
 +* Thu Feb 16 2006 Than Ngo <than@redhat.com> 6:3.5.1-4
 +- Systray icons not docked sometimes, apply patch to fix this issue #180314
- import kdebase-3.5.1-keyboardlayout.patch from Fedora Core devel
 +* Fri Feb 03 2006 Than Ngo <than@redhat.com> 6:3.5.1-2
 +- apply patch to fix broken xx_XX layouts in kxkb
- kscreensaver/kdm/kcheckpass use a separate PAM config file FC BTS #66902

* Sun Mar 26 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.1-4m)
- rebuild against xscreensaver-4.18-6m

* Wed Mar 15 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.1-3m)
- remove GLIBCXX_FORCE_NEW=1 from startkde.momonga

* Thu Feb  2 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.1-2m)
- export GLIBCXX_FORCE_NEW=1 in startkde.momonga for scim with gcc-4.0.2
  "GLIBCXX_FORCE_NEW=1" doesn't work with "ja_JP.EUC-JP", please use ja_JP.UTF-8
  gcc-4.1.0-0.8m works fine without GLIBCXX_FORCE_NEW=1
  GLIBCXX_FORCE_NEW=1 should be removed ASAP
- reserve dbus.patch
 +* Wed Feb 01 2006 Than Ngo <than@redhat.com> 6:3.5.1-1
 +- apply patch to fix kded segfaults for audio/blank cd's

* Wed Feb  1 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.1-1m)
- update to KDE 3.5.1
- remove kdebase-3.1.1-usb.patch
- change user icon to default2.png

* Sat Jan 28 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-8m)
- add --enable-new-ldflags to configure
- disable_gcc_check_and_hidden_visibility 1

* Sat Jan 14 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (3.5.0-7m)
- rebuild against openldap-2.3.11

* Sun Jan  1 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-6m)
- modify initial settings (HalBackendEnabled=true)

* Fri Dec 30 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-5m)
- rebuild against dbus-0.60

* Sat Dec  3 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-4m)
- execute sdr at first startup from kdm

* Sat Dec  3 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-3m)
- set default.face.icon for kdm

* Thu Dec  1 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-2m)
- update kde-momonga-config.tar.bz2 (fix panel problem)

* Wed Nov 30 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-1m)
- update to KDE 3.5
- set kdm default session: kde
- move kdm files from %%{_datadir}/config to %%{_sysconfdir}/kde
- Requires: sdr, momonga-desktop for kdm
- add %%{_datadir}/config-sample/kdm/desktop.sample

* Wed Nov 30 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-0.1.5m)
- import and modify Xsession.momonga from xinitrc-3.37-4m

* Tue Nov 29 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-0.1.4m)
- add kdmrc and backgroundrc to kde-momonga-config.tar.bz2

* Mon Nov 28 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-0.1.3m)
- move printmgr.desktop from %%{_datadir}/applnk to %%{_datadir}/applications/kde
- BuildPreReq: desktop-file-utils

* Wed Nov 16 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-0.1.2m)
- update Source4: kde-momonga-config.tar.bz2
- BuildPreReq: dbus-devel, dbus-qt, hal-devel
- Requires: dbus, dbus-qt, hal
- disable hidden visibility

* Sat Nov 12 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-0.1.1m)
- update to KDE 3.5 RC1
- update startkde.momonga
- remove monospace.patch
- remove konsole-keymap.patch
- sync with Fedora Core devel
 +* Mon Oct 24 2005 Than Ngo <than@redhat.com> 6:3.4.92-2
 +- add separate PAM configuration for kscreensaver #66902

* Tue Nov  1 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.3-3m)
- remove wallpapers from Source4: kde-momonga-config.tar.bz2
- Requires: momonga-backgrounds >= 1.0-3m

* Wed Oct 19 2005 Toru Hoshina <t@momonga-linux.org>
- (3.4.3-2m)
- enable ia64.

* Thu Oct 13 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.3-1m)
- update to KDE 3.4.3
- remove kdebase-3.4.2-kinfocenter.patch
- remove kdebase-3.4.2-uic.patch
- remove post-3.4.2-kdebase-kcheckpass.diff

* Fri Sep 23 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.2-5m)
- import kdebase-3.4.2-uic.patch from Fedora Core devel
 +* Wed Sep 21 2005 Than Ngo <than@redhat.com> 6:3.4.2-5
 +- fix uic build problem
- import kdebase-3.4.2-kinfocenter.patch from Fedora Core devel
 +* Mon Sep 05 2005 Than Ngo <than@redhat.com> 6:3.4.2-4
 +- apply upstream patch to fix kinfocenter opengl DRI/GLX crash
- add kinfocenterrc to kde-momonga-config-3.4.2.tar.bz2

* Wed Sep 14 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.2-4m)
- add --disable-rpath to configure
- install Source1: pam.d-kde
- update kdesktop-konsole.patch from Fedora Core devel
- set Konqueror version

* Mon Sep  5 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.2-3m)
- [SECURITY] post-3.4.2-kdebase-kcheckpass.diff for "kcheckpass local root vulnerability"
  http://www.kde.org/info/security/advisory-20050905-1.txt

* Sun Sep  4 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.2-2m)
- modify initial settings %%{_datadir}/config/*rc
- remove "Clean up old kde /tmp files" section from startkde.momonga

* Thu Jul 28 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.2-1m)
- update to KDE 3.4.2
- update startkde.momonga
- remove nokdelibsuff.patch
- add %%doc

* Sat Jul 23 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (3.4.1-3m)
- ppc build fix.

* Sat Jun 26 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (3.4.1-2m)
- fixed build error gcc4. add admin-visibility.patch

* Wed Jun  1 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.1-1m)
- update to KDE 3.4.1
- update startkde.momonga
- update visibility.patch

* Mon May  9 2005 Toru Hoshina <t@momonga-linux.org>
- (3.4.0-8m)
- kdelibsuff isn't effective unless "make -f admin/Makefile.common cvs".

* Mon May  9 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (3.4.0-7m)
- ppc build fix.

* Fri Apr 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.0-6m)
- modify %%files section

* Fri Apr  8 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.0-5m)
- %%attr(2755,root,nobody) %%{_bindir}/kdesud
- modify %%files section

* Tue Apr  5 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.0-4m)
- cancel changes of 3.4.0-3m

* Mon Apr  4 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.0-3m)
- support selinux enforcing mode
  import Source1: pam.d-kde from Fedora Core
  chmod 755 kcheckpass and kdesud
- import Source2: pam.d-kde-np from Fedora Core

* Tue Mar 29 2005 Toru Hoshina <t@momonga-linux.org>
- (3.4.0-2m)
- kdelibsuff doesn't need to be applied with {_libdir}/qt3/lib.

* Sun Mar 27 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.0-1m)
- update to KDE 3.4.0
- update startkde.momonga
- update vroot.patch from Fedora Core
- update monospace.patch from Fedora Core
- import kdebase-3.4.0rc1-konsole-keymap.patch from Fedora Core
 +* Thu Mar 10 2005 Than Ngo <than@redhat.com> 6:3.4.0-0.rc1.5
 +- apply patch (Hans de Goede) to fix incompatibilities between konsole/xterm, #138191
- import kdebase-3.4.0-kdesktop-konsole.patch from Fedora Core
 +* Mon Mar 21 2005 Than Ngo <than@redhat.com> 6:3.4.0-2
 +- add konsole in desktop menu
- remove old patches
- remove Bluecurve.ktheme
- PreReq: XFree86-font-utils -> xorg-x11-font-utils
- BuildPreReq: perl, pkgconfig

* Fri Mar 11 2005 Toru Hoshina <t@momonga-linux.org>
- (3.3.2-8m)
- rebuild against libraw1394 >= 1.1.0.

* Thu Mar  3 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.2-7m)
- add Momonga Color Scheme
- rename Source110-113

* Mon Feb 21 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.2-6m)
- replace Source110-113

* Sun Feb 20 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.2-5m)
- import directory files from FC3
  Source110: mo-ServerConfig-More.directory
  Source111: mo-ServerConfig.directory
  Source112: mo-SystemConfig-More.directory
  Source113: mo-SystemConfig.directory
  Source113 is modified for Momonga icon
- remove Source102: rh-SystemConfig.directory.momonga
- update Source4: kde-momonga-config-3.2.3.tar.bz2
  fix permission of %%{_datadir}/config/ksplashrc
  change default splash screen to Momonga3
  %%{_datadir}/config/kde -> %%{_datadir}/config/.kde
- update Source100: startkde.momonga
  import prelink script from SUSE 9.2 supplementary

* Fri Feb 18 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.2-4m)
- remove %%{_datadir}/applnk/momonga
- add Source102: rh-SystemConfig.directory.momonga for System menu

* Wed Feb 16 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.2-3m)
- [SECURITY] post-3.3.2-kdebase-htmlframes2.patch for "Konqueror Window Injection Vulnerability"
  http://kde.org/info/security/advisory-20041213-1.txt
- import kdebase-3.3.2-cleanup.patch from Fedora Core
 +* Thu Feb 10 2005 Than Ngo <than@redhat.com> 6:3.3.2-0.4
 +- add cleanup patch file from Steve

* Wed Feb  2 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (3.3.2-2m)
- enable x86_64.

* Mon Dec 13 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.2-1m)
- update to KDE 3.3.2
 
* Mon Oct 18 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.1-1m)
- update to KDE 3.3.1
 
* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (3.3.0-2m)
- rebuild against kdelibs-3.3.0-3m (libstdc++-3.4.1)

* Sat Sep 11 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.0-1m)
- KDE 3.3.0
- clean up patches
- import Patch82,83,84 from Fedora Core

* Fri Aug 20 2004 Kazuhiko <kazuhiko@fdiary.net>
- (3.2.3-3m)
- apply the following patch
- http://www.kde.org/info/security/advisory-20040811-3.txt

* Mon Jul 12 2004 kourin <kourin@fh.freeserve.ne.jp>
- (3.2.3-2m)
- add Momonga splash

* Thu Jun 17 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3
- Bugfix Release
 
* Sat Apr 24 2004 Toru Hoshina <t@momomnga-linux.org>
- (3.2.3-2m)
- revised spec for rpm 4.2.

* Sat Apr 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3

* Sat Mar 13 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.1-1m)
- KDE 3.2.1 Release
- revised startkde.momonga (BugID 24)

* Sat Feb 21 2004 Kazuhiko <kazuhiko@fdiary.net>
- (3.2.0-3m)
- rebuild against lm_sensors-2.8.4-1m

* Tue Feb 17 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.2.0-2m)
- import knotify_without_arts-kdebase.diff to add option
  to completely disable arts from kde-core-devel ML
    http://lists.kde.org/?l=kde-core-devel&m=107696911417308&w=2

* Sat Feb 14 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.0-1m)
- KDE 3.2.0
- modified %files (many new files)
- following patches are temporally omitted (unappliedable or already omitted)
- - Patch1: kdebase-3.0-appnames.patch
- - Patch2: kdebase-3.0.0-resource.patch
- - Patch15: kdebase-3.1.3-dtfix.patch
- - Patch22: kdebase-2.1.1-sound.patch
- - Patch27: kdebase-3.0-ptsname.patch
- - Patch37: kdebase-3.1-krdb.patch
- - Patch39: kdebase-3.0.3-themes.patch
- - Patch41: kdebase-3.1-clock.patch
- - Patch42: kdebase-3.1-kicker.patch
- - Patch50: kdebase-3.1-desktop.patch
- - Patch52: kdebase-3.1-ansi.patch
- - Patch100: kdebase-3.0.0-genkdmconf.patch
- - Patch301: fontenginecpp.diff
- - Patch306: kdebase-3.1.2-xrandr.patch
- - Patch307: kdebase-3.1.2-add_kcmranrd.patch
- - Patch312: kcmrandr-20030812-messages.patch

- following patches are replaced by new patch from Fedora
- - Patch3: kdebase-3.0.0-vroot.patch -> Patch3: kdebase-3.1.93-vroot.patch
- - Patch6: kdebase-3.1.1-staticmotif.patch -> Patch6: kdebase-3.1.2-motif.patch
- - (not applied)Patch9: kdebase-3.0.0-keydefs.patch -> kdebase-3.1.4-keydefs.patch
- - (not applied)Patch13: kdebase-3.1-config.patch -> kdebase-3.1.95-config.patch
- - Patch33: kdebase-3.1.2-monospace.patch -> Patch33: kdebase-3.1.94-monospace.patch
- - (not used)Patch38: kdebase-3.1-paneliconResize.patch -> kdebase-3.1.3-panelicon.patch
- - Patch40: kdebase-3.0.3-keymap.patch -> kdebase-3.1.93-keymap.patch
- - Patch42: kdebase-3.1-kicker.patch -> kdebase-3.1.93-kicker.patch
- following patches are imported from Fedora
- - Patch65: kdebase-3.1.1-usb.patch
- - (not applied)Patch66: kdebase-3.1.1-klipper.patch
- - Patch67: kdebase-3.1.93-kdesktop.patch
- - Patch71: kdebase-3.1.3-konsole-double-esc.patch
- - (not applied)Patch72: kdebase-3.1.4-kickermenu.patch
- %{SOURCE21} is not used
- add --with-xinerama and --with-cdparanoia to ./configure

* Thu Feb  5 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.1.5-3m)
- Fix the problem of default KDE fonts
- - modified default font settings 
    (/etc/kderc, kde-momonga-config-3.1.5.tar.bz2)
- - default font is set to Sans 
    (which is an alias defined in /etc/fonts/fonts.conf and new patch in 
	qt-3.2.3-4m made it enable to choose the alias font in KDE)
- - this fix the problem that default fonts in KDE were not choosen properly
- (--login has been removed from startkde)

* Tue Jan 27 2004 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (3.1.5-2m)
- add --login to startkde

* Thu Jan 15 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.1.5-1m)
- update to 3.1.5

* Tue Jan  6 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.1.4-9m)
- change default value of ResizeMode from Transparent to Opaque because Transparent mode get hung-up
- rex momorel

* Fri Dec 5 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-8m)
- rebuild against for qt-3.2.3

* Thu Nov 20 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (3.1.4-7m)
- rebuild against lm_sensors-2.8.1-1m

* Fri Nov 14 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-6m)
- require and buildprereq libmad, libid3tag

* Fri Nov 7 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-5m)
- rebuild against for qt-3.2.3
- Sorry. wrong momorel.

* Wed Sep 24 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-1m)
- update to 3.1.4

* Tue Sep 23 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.3-4m)
- rewrite %%files again

* Tue Sep 23 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.3-3m)
- rewrite %%files 

* Sat Sep 20 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.1.3-2m)
- add with_cups option
- add with_xrandr option 
- remove --restore option from ksmserver section of startkde.momonga
- add /usr/bin/filesharelist
- add /usr/share/mimelnk/kdedevice


* Wed Jul 30 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.3-1m)
- update to 3.1.3 (kde-3.1.3)
  - changes are
    * konqueror: Various fixes to the Info List View.
    * konqueror: Made Ctrl+Enter for new tab in URL combo working again.
    * kio_smb: Huge update for samba 3.0.
    * kicker: "Terminal Sessions" special button supports sessions with dots in filename
    * kicker: "Terminal Sessions" special button with same sort order as the one in Konsole.
    * konsole: Added Ctrl+Shift+N as alternate default shortcut for "New Session".
    * konsole: Fixed fixed-width with proportional-font drawing routine.
    * konsole: Fixed problems with mouse and paste support and detached windows.
    * konsole: Let new color schemes take effect once kcmkonsole tells to do so.
    * konsole: Wheel mouse fixes for Mode_Mouse1000.
- remove kdebase-2.1-konqurer-reload.patch which is not work for Momonga's xfs


* Thu Jul 17 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.2-4m)
- add fontenginecpp.diff that fixes wrong pointers dereference
  (from kde-core-devel)

* Sun Jul 13 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.2-3m)
- rm /usr/sbin/kappfinder

* Wed Jun 18 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (3.1.2-2m)
-  rebuild against cyrus-sasl2

* Mon May 26 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.2-1m)
- update to 3.1.2
- changes are:
     kwin: Alt+Tab works while drag'n'drop (unless the application also grabs keyboard).  
     kio_smtp: Doesn't eat 100% CPU when connection breaks and fixed a confusing error message when AUTH failed ("Unknown Command" vs. "Authorization failed") 
     kscreensaver: Fixed issue where kdesktop_lock would stay running indefinitely in the background if it could not grab the keyboard/mouse, preventing the screen from being locked manually.  
     kscreensaver: Screensavers are now stopped when asking for the password [#56803] 
     kio_smb: Several bugfixes for the smbro-ioslave.  
     kdesktop: fixed minicli layout problem with Qt 3.1.2 
     kdm: fixed incorrect user window width with Qt 3.1.2 
     Konqueror: Create DCOP interface for mainwindow when object begins to exist.  
     Konqueror: Fixed tab open delays when it can't reach website.  
     Konsole: Don't flicker when selecting entire lines.  
     Konsole: Crash, selection and sort fixes in schema and session editors.  
     Konsole: Fixed mouse-wheel in mouse mode.  
     Konsole: Allow programs to resize windows if enabled.  
     Konsole: Keep output steady when triple-click selecting.  
     Konsole: Added "Print" menu command.  
     kicker: Fixed kasbar only drawing last icon from a group.
- delete export _POSIX2_VERSION=199209 and add BuildPreReq: coreutils >= 5.0-1m

* Mon May 12 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1a-2m)
- invoke make -f admin/Make.common cvs

* Fri Apr 11 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (3.1.1a-1m)
  update to 3.1.1a

* Thu Apr 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.1.1-3m)
- remove requires: qt-Xt
                                                                                
* Sun Mar 23 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.1.1-2m)
- rebuild against for XFree86-4.3.0

* Fri Mar 21 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1-1m)
- update to 3.1.1
    kcmshell: Restored backwards compatibility wrt KDE 3.0 module names
    klipper: Escape "&" everywhere.
    konsole: 
      Removed "get prompt back"-hacks, don't assume emacs key shell bindings.
      Fixed usage of background images with spaces in the filename.
      Profile support fixes (disabled menubar etc.)
      Bookmarks invoked from "Terminal Sessions" kicker menu now set correct title.
      Fixed a problem with the "Linux" font that prevented it from being used with fontconfig.
    kdesktop: Made desktop menus pop up in unused Kicker space work.
    kicker: Fixed empty taskbar sometimes showing scroll buttons.
    konqueror: 
      Various startup performance improvements
      Fix crash when sidebar tree expands hidden directory
      Fix crash when config button hidden from config button's menu
      Extensive fixes to Netscape plugins, fixing crashes and plugin support
      Changes to default preview settings, making the defaults safer on various platforms
    Java configuration module: Make it possible to properly configure Java in all cases
    Previews: Fixed a privacy issue where previews of HTML files could access files or hosts on the network.

* Mon Mar 10 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (3.1-4m)
  rebuild against openssl 0.9.7a

* Thu Mar  6 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.1-3m)
- [Momonga-devel.ja:01456] 

* Sun Feb 16 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1-2m)
- add BuildPreReq: openldap-devel
- add BuildPreReq: lm_sensors

* Sun Feb  2 2003 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.1-1m)
- version up.

* Tue Jan 21 2003 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.5a-4m)
- konsole_grantpty permission changed 0755 --> 4755.

* Mon Jan 20 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.0.5a-3m)
- fix required release of kdelibs %%{kderel} -> %%{kdelibsrel}

* Mon Jan 20 2003 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.5a-2m)
- rebuild against kdelibs-3.0.5a-2m

* Sun Jan 12 2003 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.5a-1m)
- ver up.

* Wed Oct 23 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.4-2m)
- fix atokx focus problem (Patch200).
- (See http://www.kde.gr.jp/ml/Kdeveloper/msg02535.html
-      http://www.turbolinux.co.jp/dcforum/DCForumID11/4235.html
-      http://searchqa.justsystem.co.jp/support/faq/latokx1/latxt022.html )

* Fri Oct 11 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.4-1m)
- ver up.

* Wed Aug 28 2002 Kazuhiko <kazuhiko@fdiary.net>
- (3.0.3-2m)
- rebuild against kdelibs-3.0.3-2m

* Mon Aug 19 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.3-1m)
- ver up.

* Tue Jul 23 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-7m)
- konqueror supports TAB for KDE-3.0.2.
- (Patch28: kdebase-3.0.2-konqtab.patch)

* Sat Jul 20 2002 Kentarou SHINOHARA <puntium@momonga-linux.org>
- (3.0.2-6m)
- Change Requres: libvorbis to libvorbis >= 1.0-2m
- Removed libogg from Requires: since libvorbis impiles libogg

* Sat Jul 20 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-5m)
- change BuildPrereq, openssl-devel >= 1.9.6a to >= 0.9.6a

* Sat Jul 20 2002 kourin <kourin@momonga-linux.org>
- (3.0.2-4m)
- fix BuildPreReq, libvorbis -> libvorbis-devel

* Fri Jul 19 2002 Kentarou SHINOHARA <puntium@momonga-linux.org>
- (3.0.2-3m)
- added BuildPreReq: libvorbis >= 1.0-2m

* Wed Jul 17 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-2m)
- rebuild against qt-3.0.5.

* Sun Jul 14 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-1m)
- ver up.
- add startkde-momonga, kde-momonga-config-3.0.2.tar.gz

* Tue Jun 18 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (3.0.1-4k)
- change build options. ( use %{optflags} ).

* Mon Jun 10 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (3.0.1-2k)
- ver up to 3.0.1.

* Sat May 18 2002 Toru Hoshina <t@kondara.org>
- (3.0.0-14k)
- mkfontdir tukattendaro korua.

* Mon May 13 2002 Toru Hoshina <t@Kondara.org>
- (3.0.0-12k)
- rebuild against openmotif 2.2.2.

* Tue Apr  9 2002 Tsutomu Yasuda <tom@kondara.org>
- (3.0.0-10k)
  Konqueror TAB Support.

* Tue Apr  9 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (3.0.0-8k)
- applied kdebase-3.0-samba-add-TerminalCode-20020407.diff

* Sun Apr  7 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (3.0.0-6k)
- change startkde.kondara (fix twice startup problem)

* Fri Apr  5 2002 Toru Hoshina <t@kondara.org>
- (3.0.0-4k)
- applied kdebase-3.0.0-genkdmconf.patch

* Thu Apr  4 2002 Tsutomu Yasuda <tom@kondara.org>
- (3.0.0-2k)
  update to 3.0 release.

* Sun Mar 24 2002 Toru Hoshina <t@kondara.org>
- (3.0.0-0.0003004k)
- rebuild.

* Thu Mar 21 2002 Toru Hoshina <t@kondara.org>
- (3.0.0-0.0003002k)
- based on 3.0rc3.

* Tue Nov 27 2001 Toru Hoshina <t@kondara.org>
- (2.2.2-2k)
- version up.

* Sun Nov 25 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-14k)
- for AA etc...

* Tue Oct 30 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-12k)
- revised spec file.
- /etc/skel stuff moved.
- require truetype-font-ja for Japanese 'AA' user at this time.

* Sun Oct 14 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-10k)
- rebuild against libpng 1.2.0.

* Sat Oct 13 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-8k)
- revised initial configuratiron.

* Mon Oct  8 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-6k)
- Sorry, qt.fontguess missed!! oh my god.

* Sun Oct  7 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-4k)
- ksplash and ksmserver avoid to use i18n() when QT_XFT is enabled,
  however konsole isn't quite fixed.....
- revise kde-kondara-config-2.2.1.tar.bz2 and kdebase-2.2.1-kondara.patch.

* Thu Oct  4 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-2k)
- version up.

* Mon Sep 17 2001 Toru Hoshina <t@kondara.org>
- (2.2.0-8k)
- just strip... sorry.

* Mon Sep 10 2001 Toru Hoshina <t@kondara.org>
- (2.2.0-6k)
- BuildRequire lesstif-devel to make sure recompiled versions of Konqueror
  support Netscape plugins.
- Require libogg libvorbis.

* Sat Aug 25 2001 Shingo Akagaki <dora@kondara.org>
- (2.2.0-4k)
- add Buildprereq: cdparanoia-devel

* Tue Aug 21 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-2k)
- stable release.

* Sat Aug 11 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0003002k)
- based on 2.2beta1.

* Fri Jun  1 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0002002k)
- based on 2.2alphae.

* Thu May 31 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0002002k)

* Sat May 12 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0001002k)

* Sun Apr 22 2001 Toru Hoshina <toru@df-usa.com>
- (2.2alpha1-2k)

* Sat Apr 14 2001 Toru Hoshina <toru@df-usa.com>
- (2.1.1-4k)
- rebuild against openssl 0.9.6.

* Tue Mar 20 2001 Toru Hoshina <toru@df-usa.com>
- [2.1-4k]
- revised %files.

* Fri Mar 16 2001 Toru Hoshina <toru@df-usa.com>
- [2.1-2k]

* Fri Mar 16 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.0.1-14k)
- rebuild against QT-2.3.0.

* Sat Jan 13 2001 Kenichi Matsubara <m@kondara.org>
- [2.0.1-12k]
- backport 2.0.1-13k(Jirai).

* Fri Jan 05 2001 Kenichi Matsubara <m@kondara.org>
- [2.0.1-10k]
- backport 2.0.1-11k(Jirai).

* Fri Jan 05 2001 Kenichi Matsubara <m@kondara.org>
- [2.0.1-11k]
- add new patches.

* Tue Dec 19 2000 Kenichi Matsubara <m@kondara.org>
- [2.0.1-9k]
- add kdebase-2.0.1-netscape_bookmark-kondara.patch.

* Thu Dec 14 2000 Kenichi Matsubara <m@kondara.org>
- [2.0.1-7k]
- rebuild against qt-2.2.3.

* Mon Dec 11 2000 Kenichi Matsubara <m@kondara.org>
- [2.0.1-5k]
- change GIF Support switch tag.
- (Vendor to Option)

* Fri Dec 08 2000 Kenichi Matsubara <m@kondara.org>
- [2.0.1-3k]
- update to 2.0.1.

* Tue Nov 21 2000 Kenichi Matsubara <m@kondara.org>
- [2.0-6k]
- rebuild against egcs++.

* Sun Nov 19 2000 Kenichi Matsubara <m@kondara.org>
- [2.0-5k]
- rebuild against new environment XFree86-4.0.1-39k.

* Sun Nov 19 2000 Kenichi Matsubara <m@kondara.org>
- [2.0-4k]
- rebuild against new environment gcc-2.95.2, glibc-2.2.

* Fri Nov 17 2000 Toru Hoshina <toru@df-usa.com>
- [2.0-3k]
- rebuild against qt 2.2.2.

* Fri Nov 03 2000 Kenichi Matsubara <m@kondara.org>
- [2.0-1k]
- update kdebase-2.0-kdmconfig.patch
- update kdebase-2.0-kwin-nofreeze-20001024.diff
- add GIF Support switch.
- release.

* Thu Oct 19 2000 Kenichi Matsubara <m@kondara.org>
- [2.0rc2-0.3k]
- add kdebase-2.0rc2-kwin-nofreeze-20001011.diff.
- modified Requires,BuildPrereq.

* Thu Oct 12 2000 Kenichi Matsubara <m@kondara.org>
- [2.0rc2-0.2k]
- enable debug mode.

* Wed Oct 11 2000 Kenichi Matsubara <m@kondara.org>
- [2.0rc2-0.1k]
- update 2.0rc2.

* Tue Oct 10 2000 Kenichi Matsubara <m@kondara.org>
- rebuild against Qt-2.2.1.

* Thu Sep 28 2000 Kenichi Matsubara <m@kondara.org>
- add kdebase-1.94-kwin-i18n-20000928.diff
- add kdebase-1.94-kwin-nofreeze-20000924.diff

* Mon Sep 25 2000 Toru Hoshina <t@kondara.org>
- fix kdm/configure.in.in, do not need to check /etc/X11/kdm/xdm-config.

* Mon Sep 25 2000 Kenichi Matsubara <m@kondara.org>
- little bugfix spec file for Alpha.

* Sun Sep 24 2000 Kenichi Matsubara <m@kondara.org>
- bugfix spec file [ %files sections.]

* Wed Sep 20 2000 Kenichi Matsubara <m@kondara.org>
- update 1.94.

* Tue Aug 08 2000 Toru Hoshina <t@kondara.org>
- rebuild against gcc-2.96-0.6k.

* Sun Jul 30 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc 2.1.91, gcc 2.96.

* Fri Jun 23 2000 Kenichi Matsubara <m@kondara.org>
- add kdebase-1.91-without-openssl-kondara.patch.

* Mon Jun 19 2000 Kenichi Matsubara <m@kondara.org>                           
- update 1.91.                                                               

* Tue May 16 2000 Kenichi Matsubara <m@kondara.org>                        
- initital release Kondara MNU/Linux. 
